summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2020-01-12 02:13:19 +0100
committer Willy Sudiarto Raharjo2020-01-11 14:58:11 +0100
commit2a7261353d50c8c9b2b69e1e164d85369e24703b (patch)
tree1fafaff4a81dd788fb2277a58fa827e670bff8d4 /academic
parent15da0aa892d451715784051f6b083c908872985e (diff)
downloadslackbuilds-2a7261353d50c8c9b2b69e1e164d85369e24703b.tar.gz
academic/treebest-ensembl: Added (Tree Building).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/treebest-ensembl/README29
-rw-r--r--academic/treebest-ensembl/doinst.sh3
-rw-r--r--academic/treebest-ensembl/slack-desc19
-rw-r--r--academic/treebest-ensembl/treebest-ensembl.SlackBuild112
-rw-r--r--academic/treebest-ensembl/treebest-ensembl.info10
-rw-r--r--academic/treebest-ensembl/treebest.desktop8
-rw-r--r--academic/treebest-ensembl/treebest.pngbin0 -> 10124 bytes
7 files changed, 181 insertions, 0 deletions
diff --git a/academic/treebest-ensembl/README b/academic/treebest-ensembl/README
new file mode 100644
index 0000000000..b6639d304d
--- /dev/null
+++ b/academic/treebest-ensembl/README
@@ -0,0 +1,29 @@
+TreeBeST: Tree Building guided by Species Tree
+(Ensembl Compara modifications)
+
+TreeBeST, which stands for (gene) Tree Building guided by Species Tree,
+is a versatile program that builds, manipulates and displays
+phylogenetic trees. It is particularly designed for building gene trees
+with a known species tree and is highly efficient and accurate.
+
+TreeBeST is previously known as NJTREE. It has been largely used in the
+TreeFam database, Ensembl Compara and OPTIC database of Chris Ponting
+group.
+
+This is the Ensembl Compara modifications version. The main new features
+are:
+
+1) -s option in treebest sdi, to allow a user-defined species tree.
+ T node-tag in the NHX output: a bit-field listing the input trees
+2) that support the node.
+3) -I option in treebest nj, to carry on the T tags from the input tree
+4) -Z option in treebest best, to redefine the PhyML variable MIN_DIFF_LK
+5) -X option in treebest best, to give a higher weight to the likelihood
+ that comes from the reconciliation with the species tree (default 1)
+6) -I option in treebest best, to start from the input tree instead of
+ building one
+7) Species-intersection scores are now also reported as floating-point
+ values under the DCS node-tag. The value is between 0 and 1, and
+ displayed with 4 decimals.
+
+The script builds both the command line and GUI versions of treebest.
diff --git a/academic/treebest-ensembl/doinst.sh b/academic/treebest-ensembl/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/treebest-ensembl/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/treebest-ensembl/slack-desc b/academic/treebest-ensembl/slack-desc
new file mode 100644
index 0000000000..88564708b1
--- /dev/null
+++ b/academic/treebest-ensembl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+treebest-ensembl: treebest-ensembl (Tree Building guidEd by Species Tree)
+treebest-ensembl:
+treebest-ensembl: TreeBeST, which stands for (gene) Tree Building guided by Species
+treebest-ensembl: Tree, is a versatile program that builds, manipulates and displays
+treebest-ensembl: phylogenetic trees. It is particularly designed for building gene
+treebest-ensembl: trees with a known species tree and is highly efficient and accurate.
+treebest-ensembl:
+treebest-ensembl: This is TreeBeST with Ensembl Compara modifications.
+treebest-ensembl:
+treebest-ensembl: http://treesoft.sourceforge.net/
+treebest-ensembl: https://github.com/Ensembl/treebest
diff --git a/academic/treebest-ensembl/treebest-ensembl.SlackBuild b/academic/treebest-ensembl/treebest-ensembl.SlackBuild
new file mode 100644
index 0000000000..b3a8844539
--- /dev/null
+++ b/academic/treebest-ensembl/treebest-ensembl.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for treebest
+
+# Copyright 2020 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=treebest-ensembl
+VERSION=${VERSION:-1.9.2_git347fa82}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=treebest
+COMMIT=347fa82a0ce1c169849053fdc9ff7d19d221f290
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$COMMIT
+tar xvf $CWD/$SRCNAM-$COMMIT.tar.gz
+cd $SRCNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use our CFLAGS
+sed -i "/^CFLAGS/s/=/+=/" Makefile
+
+# Make the CLI treebest and the FLTK GUI
+CFLAGS="$SLKCFLAGS" \
+make
+
+CFLAGS="$SLKCFLAGS" \
+make fltreebest
+
+install -D -m755 treebest $PKG/usr/bin/treebest
+install -D -m755 fltreebest $PKG/usr/bin/fltreebest
+install -D -m755 make_ng86 $PKG/usr/bin/make_ng86
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Pack some exmples and scripts
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a examples scripts $PKG/usr/share/$PRGNAM
+
+# Use our icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$SRCNAM.desktop $PKG/usr/share/applications
+cp $CWD/$SRCNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ACKNOWLEDGEMENTS AUTHORS ChangeLog COPYING FUTURES INSTALL NEWS README.md treebest.texi \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/treebest-ensembl/treebest-ensembl.info b/academic/treebest-ensembl/treebest-ensembl.info
new file mode 100644
index 0000000000..8e97295a93
--- /dev/null
+++ b/academic/treebest-ensembl/treebest-ensembl.info
@@ -0,0 +1,10 @@
+PRGNAM="treebest-ensembl"
+VERSION="1.9.2_git347fa82"
+HOMEPAGE="https://github.com/Ensembl/treebest/"
+DOWNLOAD="https://github.com/Ensembl/treebest/archive/347fa82/treebest-347fa82a0ce1c169849053fdc9ff7d19d221f290.tar.gz"
+MD5SUM="619622cadea6da5d9c74defa761cfdda"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fltk"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/treebest-ensembl/treebest.desktop b/academic/treebest-ensembl/treebest.desktop
new file mode 100644
index 0000000000..cff35dd7b0
--- /dev/null
+++ b/academic/treebest-ensembl/treebest.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Categories=Education;
+Comment=Tree Building guidEd by Species Tree
+Exec=fltreebest
+Icon=treebest
+Name=FLTreeBeST
+StartupNotify=false
+Type=Application
diff --git a/academic/treebest-ensembl/treebest.png b/academic/treebest-ensembl/treebest.png
new file mode 100644
index 0000000000..e9b30dc447
--- /dev/null
+++ b/academic/treebest-ensembl/treebest.png
Binary files differ